<?php

namespace OCA\UPschooling\Db;

use JsonSerializable;
use OCP\AppFramework\Db\Entity;

class MatrixChat extends Entity implements JsonSerializable
{
	protected $ticketId;
	protected $matrixRoomId;
	protected $matrixHelperUser;
	protected $dateStart;
	protected $dateEnd;
	protected $version;

	public function jsonSerialize(): array
	{
		return [
			'id' => $this->id,
			'ticketId' => $this->ticketId,
			'matrixRoomId' => $this->matrixRoomId,
			'matrixHelperUser' => $this->matrixHelperUser,
			'dateStart' => $this->dateStart,
			'dateEnd' => $this->dateEnd,
			'version' => $this->version,
		];
	}
}
